- name: Set MailCatcher API Facts
  changed_when: False
  set_fact:
    mailcatchersmtp_priv_address: "smtp://{{ mailcatcher_name }}-smtp.{{ namespace }}.svc.{{ cluster_domain }}:1025"
    mailcatchersmtp_pub_address: "smtp://mailcatcher.{{ root_domain }}"
    mailcatcher_priv_address: "http://{{ mailcatcher_name }}.{{ namespace }}.svc.{{ cluster_domain }}:8080"
    mailcatcher_pub_address: "https://mailcatcher.{{ root_domain }}"
- block:
  - name: Reads Operator Token
    args:
      chdir: /run/secrets/kubernetes.io/serviceaccount
    changed_when: False
    register: api_token
    shell: cat token
  - name: Marks MailCatcher Provisionned
    no_log: True
    uri:
      body: |
        {
          "status": {
            "ready": true,
            "smtp_internal": "{{ mailcatchersmtp_priv_address }}",
            "smtp_public": "{{ mailcatchersmtp_pub_address }}",
            "web_internal": "{{ mailcatcher_priv_address }}",
            "web_public": "{{ mailcatcher_pub_address }}"
          }
        }
      body_format: json
      headers:
        Authorization: "Bearer {{ api_token.stdout_lines[0] }}"
        Content-Type: application/merge-patch+json
      method: PATCH
      return_content: yes
      url: "https://kubernetes.default.svc.{{ cluster_domain }}/apis/{{ cr_apivers }}/namespaces/{{ namespace }}/mailcatchers/{{ cr_name }}/status"
      validate_certs: False
  when:
  - mailcatcher_crd is defined
  - mailcatcher_crd.resources is defined
  - mailcatcher_crd.resources | length > 0
  - >
      mailcatcher_crd.resources[0].status is not defined
      or (mailcatcher_crd.resources[0].status is defined
          and (mailcatcher_crd.resources[0].status.ready is not defined
               or (mailcatcher_crd.resources[0].status.smtp_internal | default('')) != mailcatchersmtp_priv_address
               or (mailcatcher_crd.resources[0].status.smtp_public | default('')) != mailcatchersmtp_pub_address
               or (mailcatcher_crd.resources[0].status.web_internal | default('')) != mailcatcher_priv_address
               or (mailcatcher_crd.resources[0].status.web_public | default('')) != mailcatcher_pub_address))
